package com.mortals.xhx.module.sheet.model;

import java.util.List;

/**
 * 基础事项查询对象
 *
 * @author zxfei
 * @date 2022-11-16
 */
public class SheetMatterQuery extends SheetMatterEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 从政务系统来的事项id */
    private List<String> tidList;

    /** 从政务系统来的事项code */
    private List<String> tcodeList;

    /** 从政务系统来的事项name */
    private List<String> tnameList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 英语事项名 */
    private List<String> englishNameList;

    /** 事项编号 */
    private List<String> matterNoList;

    /** 区域编码 */
    private List<String> areaCodeList;

    /** 部门编号 */
    private List<String> deptCodeList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 行政权力编号 */
    private List<String> powerCodeList;

    /** 主题编号 */
    private List<String> themeCodeList;

    /** 服务类型编号 */
    private List<String> usertypeCodeList;

    /** 事项组名 */
    private List<String> groupNameList;

    /** 事项详情链接 */
    private List<String> urlList;

    /** 是否获取事项详情 */
    private List<String> haveGetMatterInfoList;

    /** 所属部门 */
    private List<String> belongDeptList;

    /** 服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织） */
    private List<String> appoveObjectShowList;

    /** 通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]） */
    private List<String> operatScopeShowList;

    /** 办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件） */
    private List<String> appoveTimeLimitShowList;

    /** 办理形式（窗口办理.窗口办理，网上办理.网上办理）	 */
    private List<String> handleTypeList;

    /** 法定办结时限 */
    private List<String> legalTimeLimitShowList;

    /** 法定时限办结说明 */
    private List<String> legalEndExplainList;

    /** 承诺办结时限 */
    private List<String> promiseTimeLimitShowList;

    /** 承诺时限办结说明 */
    private List<String> promiseEndExplainList;

    /** 是否收费（否.否，是.是） */
    private List<String> isChargesShowList;

    /** 认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签） */
    private List<String> certificationLevelsShowList;

    /** 开始 计划生效日期 */
    private String planTakeTimeStart;

    /** 结束 计划生效日期 */
    private String planTakeTimeEnd;

    /** 开始 承诺生效日期 */
    private String promiseTakeTimeStart;

    /** 结束 承诺生效日期 */
    private String promiseTakeTimeEnd;

    /** 特别程序 */
    private List<String> specialProcedureList;

    /** 开始 窗口到现场次数 */
    private Integer windowToTheSceneNumStart;

    /** 结束 窗口到现场次数 */
    private Integer windowToTheSceneNumEnd;

    /** 增加 窗口到现场次数 */
    private Integer windowToTheSceneNumIncrement;

    /** 窗口到现场次数列表 */
    private List <Integer> windowToTheSceneNumList;

    /** 是否网上预约,窗口办理选（否.否，是.是） */
    private List<String> isOnlineSubscribeShowList;

    /** 物流快递,窗口办理选（否.否，是.是） */
    private List<String> isExpressTakeShowList;

    /** 是否支持全省范围就近取件（否.否，是.是） */
    private List<String> isProvinceAcquisitionShowList;

    /** 是否支持全省范围就近办理（否.否，是.是） */
    private List<String> isApplyProvinceShowList;

    /** 必须到现场原因 */
    private List<String> mustSceneExplainList;

    /** 网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办） */
    private List<String> onlineTypeList;

    /** 开始 网办到现场次数 */
    private Integer onlineToTheSceneNumStart;

    /** 结束 网办到现场次数 */
    private Integer onlineToTheSceneNumEnd;

    /** 增加 网办到现场次数 */
    private Integer onlineToTheSceneNumIncrement;

    /** 网办到现场次数列表 */
    private List <Integer> onlineToTheSceneNumList;

    /** 网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他） */
    private List<String> onlineOperatDeepList;

    /** 物流快递，网上办理选（否.否，是.是） */
    private List<String> isExpressTakeOnlineShowList;

    /** 是否支持上门收取申请（否.否，是.是） */
    private List<String> isDoorTakeShowList;

    /** 网上必须到现场原因 */
    private List<String> onlineMustSceneExplainList;

    /** 实施主体 */
    private List<String> performDeptTypeList;

    /** 事项版本 */
    private List<String> matterEditionList;

    /** 事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项） */
    private List<String> eventTypeShowList;

    /** 行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级） */
    private List<String> performHierarchyShowList;

    /** 权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托） */
    private List<String> powerSourceShowList;

    /** 实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织） */
    private List<String> performDeptTypeShowList;

    /** 是否进驻中心（否.否，是.是） */
    private List<String> goveServiceCenterShowList;

    /** 是否纳入便民服务中心（否.否，是.是） */
    private List<String> isConvenientCenterShowList;

    /** 自助终端办理 （否.否，是.是） */
    private List<String> terminalHandleList;

    /** 是否网办 （否.否，是.是） */
    private List<String> isOnlineList;

    /** 支持网上支付（否.否，是.是） */
    private List<String> isOnlinePayShowList;

    /** 委托部门（否.否，是.是） */
    private List<String> entrustmentDepartmenList;

    /** 联办机构 */
    private List<String> jointInfoShowList;

    /** 事项状态（停用.停用，在用.在用） */
    private List<String> matterStatusList;

    /** 开始 数量限制 */
    private Long numberLimitStart;

    /** 结束 数量限制 */
    private Long numberLimitEnd;

    /** 增加 数量限制 */
    private Long numberLimitIncrement;

    /** 数量限制列表 */
    private List <Long> numberLimitList;

    /** 主题类型 */
    private List<String> typeList;

    /** 基本编码 */
    private List<String> baseCodeList;

    /** 实施编码 */
    private List<String> implementCodeList;

    /** 实施主体编码 */
    private List<String> implementBodyCodeList;

    /** 办理项编码 */
    private List<String> operateItemCodeList;

    /** 乡镇街道名称 */
    private List<String> townshipNameList;

    /** 乡镇街道代码 */
    private List<String> townshipCodeList;

    /** 村居社区名称 */
    private List<String> villageNameList;

    /** 村居社区代码 */
    private List<String> villageCodeList;

    /** 办理时间 */
    private List<String> operateTimeList;

    /** 办理地点 */
    private List<String> operateSiteList;

    /** 咨询方式 */
    private List<String> cousultingShowList;

    /** 咨询电话 */
    private List<String> cousultingTelephoneShowList;

    /** 监督投诉方式 */
    private List<String> superviseShowList;

    /** 开始 排序 */
    private Integer sortStart;

    /** 结束 排序 */
    private Integer sortEnd;

    /** 增加 排序 */
    private Integer sortIncrement;

    /** 排序列表 */
    private List <Integer> sortList;

    /** 开始 事项来源(0.政务网，1.自定义) */
    private Integer sourceStart;

    /** 结束 事项来源(0.政务网，1.自定义) */
    private Integer sourceEnd;

    /** 增加 事项来源(0.政务网，1.自定义) */
    private Integer sourceIncrement;

    /** 事项来源(0.政务网，1.自定义)列表 */
    private List <Integer> sourceList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SheetMatterQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SheetMatterQuery> andConditionList;

    public SheetMatterQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 开始 站点ID
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点ID
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点ID
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点ID
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 从政务系统来的事项id
     * @return tidList
     */
    public List<String> getTidList(){
        return this.tidList;
    }

    /**
     * 设置 从政务系统来的事项id
     * @param tidList
     */
    public void setTidList(List<String> tidList){
        this.tidList = tidList;
    }
    /**
     * 获取 从政务系统来的事项code
     * @return tcodeList
     */
    public List<String> getTcodeList(){
        return this.tcodeList;
    }

    /**
     * 设置 从政务系统来的事项code
     * @param tcodeList
     */
    public void setTcodeList(List<String> tcodeList){
        this.tcodeList = tcodeList;
    }
    /**
     * 获取 从政务系统来的事项name
     * @return tnameList
     */
    public List<String> getTnameList(){
        return this.tnameList;
    }

    /**
     * 设置 从政务系统来的事项name
     * @param tnameList
     */
    public void setTnameList(List<String> tnameList){
        this.tnameList = tnameList;
    }
    /**
     * 获取 事项名称
     * @return matterNameList
     */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }
    /**
     * 获取 英语事项名
     * @return englishNameList
     */
    public List<String> getEnglishNameList(){
        return this.englishNameList;
    }

    /**
     * 设置 英语事项名
     * @param englishNameList
     */
    public void setEnglishNameList(List<String> englishNameList){
        this.englishNameList = englishNameList;
    }
    /**
     * 获取 事项编号
     * @return matterNoList
     */
    public List<String> getMatterNoList(){
        return this.matterNoList;
    }

    /**
     * 设置 事项编号
     * @param matterNoList
     */
    public void setMatterNoList(List<String> matterNoList){
        this.matterNoList = matterNoList;
    }
    /**
     * 获取 区域编码
     * @return areaCodeList
     */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
     * 设置 区域编码
     * @param areaCodeList
     */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }
    /**
     * 获取 部门编号
     * @return deptCodeList
     */
    public List<String> getDeptCodeList(){
        return this.deptCodeList;
    }

    /**
     * 设置 部门编号
     * @param deptCodeList
     */
    public void setDeptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
    }
    /**
     * 获取 部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }
    /**
     * 获取 行政权力编号
     * @return powerCodeList
     */
    public List<String> getPowerCodeList(){
        return this.powerCodeList;
    }

    /**
     * 设置 行政权力编号
     * @param powerCodeList
     */
    public void setPowerCodeList(List<String> powerCodeList){
        this.powerCodeList = powerCodeList;
    }
    /**
     * 获取 主题编号
     * @return themeCodeList
     */
    public List<String> getThemeCodeList(){
        return this.themeCodeList;
    }

    /**
     * 设置 主题编号
     * @param themeCodeList
     */
    public void setThemeCodeList(List<String> themeCodeList){
        this.themeCodeList = themeCodeList;
    }
    /**
     * 获取 服务类型编号
     * @return usertypeCodeList
     */
    public List<String> getUsertypeCodeList(){
        return this.usertypeCodeList;
    }

    /**
     * 设置 服务类型编号
     * @param usertypeCodeList
     */
    public void setUsertypeCodeList(List<String> usertypeCodeList){
        this.usertypeCodeList = usertypeCodeList;
    }
    /**
     * 获取 事项组名
     * @return groupNameList
     */
    public List<String> getGroupNameList(){
        return this.groupNameList;
    }

    /**
     * 设置 事项组名
     * @param groupNameList
     */
    public void setGroupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
    }
    /**
     * 获取 事项详情链接
     * @return urlList
     */
    public List<String> getUrlList(){
        return this.urlList;
    }

    /**
     * 设置 事项详情链接
     * @param urlList
     */
    public void setUrlList(List<String> urlList){
        this.urlList = urlList;
    }
    /**
     * 获取 是否获取事项详情
     * @return haveGetMatterInfoList
     */
    public List<String> getHaveGetMatterInfoList(){
        return this.haveGetMatterInfoList;
    }

    /**
     * 设置 是否获取事项详情
     * @param haveGetMatterInfoList
     */
    public void setHaveGetMatterInfoList(List<String> haveGetMatterInfoList){
        this.haveGetMatterInfoList = haveGetMatterInfoList;
    }
    /**
     * 获取 所属部门
     * @return belongDeptList
     */
    public List<String> getBelongDeptList(){
        return this.belongDeptList;
    }

    /**
     * 设置 所属部门
     * @param belongDeptList
     */
    public void setBelongDeptList(List<String> belongDeptList){
        this.belongDeptList = belongDeptList;
    }
    /**
     * 获取 服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）
     * @return appoveObjectShowList
     */
    public List<String> getAppoveObjectShowList(){
        return this.appoveObjectShowList;
    }

    /**
     * 设置 服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）
     * @param appoveObjectShowList
     */
    public void setAppoveObjectShowList(List<String> appoveObjectShowList){
        this.appoveObjectShowList = appoveObjectShowList;
    }
    /**
     * 获取 通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）
     * @return operatScopeShowList
     */
    public List<String> getOperatScopeShowList(){
        return this.operatScopeShowList;
    }

    /**
     * 设置 通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）
     * @param operatScopeShowList
     */
    public void setOperatScopeShowList(List<String> operatScopeShowList){
        this.operatScopeShowList = operatScopeShowList;
    }
    /**
     * 获取 办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）
     * @return appoveTimeLimitShowList
     */
    public List<String> getAppoveTimeLimitShowList(){
        return this.appoveTimeLimitShowList;
    }

    /**
     * 设置 办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）
     * @param appoveTimeLimitShowList
     */
    public void setAppoveTimeLimitShowList(List<String> appoveTimeLimitShowList){
        this.appoveTimeLimitShowList = appoveTimeLimitShowList;
    }
    /**
     * 获取 办理形式（窗口办理.窗口办理，网上办理.网上办理）
     * @return handleTypeList
     */
    public List<String> getHandleTypeList(){
        return this.handleTypeList;
    }

    /**
     * 设置 办理形式（窗口办理.窗口办理，网上办理.网上办理）
     * @param handleTypeList
     */
    public void setHandleTypeList(List<String> handleTypeList){
        this.handleTypeList = handleTypeList;
    }
    /**
     * 获取 法定办结时限
     * @return legalTimeLimitShowList
     */
    public List<String> getLegalTimeLimitShowList(){
        return this.legalTimeLimitShowList;
    }

    /**
     * 设置 法定办结时限
     * @param legalTimeLimitShowList
     */
    public void setLegalTimeLimitShowList(List<String> legalTimeLimitShowList){
        this.legalTimeLimitShowList = legalTimeLimitShowList;
    }
    /**
     * 获取 法定时限办结说明
     * @return legalEndExplainList
     */
    public List<String> getLegalEndExplainList(){
        return this.legalEndExplainList;
    }

    /**
     * 设置 法定时限办结说明
     * @param legalEndExplainList
     */
    public void setLegalEndExplainList(List<String> legalEndExplainList){
        this.legalEndExplainList = legalEndExplainList;
    }
    /**
     * 获取 承诺办结时限
     * @return promiseTimeLimitShowList
     */
    public List<String> getPromiseTimeLimitShowList(){
        return this.promiseTimeLimitShowList;
    }

    /**
     * 设置 承诺办结时限
     * @param promiseTimeLimitShowList
     */
    public void setPromiseTimeLimitShowList(List<String> promiseTimeLimitShowList){
        this.promiseTimeLimitShowList = promiseTimeLimitShowList;
    }
    /**
     * 获取 承诺时限办结说明
     * @return promiseEndExplainList
     */
    public List<String> getPromiseEndExplainList(){
        return this.promiseEndExplainList;
    }

    /**
     * 设置 承诺时限办结说明
     * @param promiseEndExplainList
     */
    public void setPromiseEndExplainList(List<String> promiseEndExplainList){
        this.promiseEndExplainList = promiseEndExplainList;
    }
    /**
     * 获取 是否收费（否.否，是.是）
     * @return isChargesShowList
     */
    public List<String> getIsChargesShowList(){
        return this.isChargesShowList;
    }

    /**
     * 设置 是否收费（否.否，是.是）
     * @param isChargesShowList
     */
    public void setIsChargesShowList(List<String> isChargesShowList){
        this.isChargesShowList = isChargesShowList;
    }
    /**
     * 获取 认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）
     * @return certificationLevelsShowList
     */
    public List<String> getCertificationLevelsShowList(){
        return this.certificationLevelsShowList;
    }

    /**
     * 设置 认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）
     * @param certificationLevelsShowList
     */
    public void setCertificationLevelsShowList(List<String> certificationLevelsShowList){
        this.certificationLevelsShowList = certificationLevelsShowList;
    }
    /**
     * 获取 开始 计划生效日期
     * @return planTakeTimeStart
     */
    public String getPlanTakeTimeStart(){
        return this.planTakeTimeStart;
    }

    /**
     * 设置 开始 计划生效日期
     * @param planTakeTimeStart
     */
    public void setPlanTakeTimeStart(String planTakeTimeStart){
        this.planTakeTimeStart = planTakeTimeStart;
    }

    /**
     * 获取 结束 计划生效日期
     * @return planTakeTimeEnd
     */
    public String getPlanTakeTimeEnd(){
        return this.planTakeTimeEnd;
    }

    /**
     * 设置 结束 计划生效日期
     * @param planTakeTimeEnd
     */
    public void setPlanTakeTimeEnd(String planTakeTimeEnd){
        this.planTakeTimeEnd = planTakeTimeEnd;
    }

    /**
     * 获取 开始 承诺生效日期
     * @return promiseTakeTimeStart
     */
    public String getPromiseTakeTimeStart(){
        return this.promiseTakeTimeStart;
    }

    /**
     * 设置 开始 承诺生效日期
     * @param promiseTakeTimeStart
     */
    public void setPromiseTakeTimeStart(String promiseTakeTimeStart){
        this.promiseTakeTimeStart = promiseTakeTimeStart;
    }

    /**
     * 获取 结束 承诺生效日期
     * @return promiseTakeTimeEnd
     */
    public String getPromiseTakeTimeEnd(){
        return this.promiseTakeTimeEnd;
    }

    /**
     * 设置 结束 承诺生效日期
     * @param promiseTakeTimeEnd
     */
    public void setPromiseTakeTimeEnd(String promiseTakeTimeEnd){
        this.promiseTakeTimeEnd = promiseTakeTimeEnd;
    }

    /**
     * 获取 特别程序
     * @return specialProcedureList
     */
    public List<String> getSpecialProcedureList(){
        return this.specialProcedureList;
    }

    /**
     * 设置 特别程序
     * @param specialProcedureList
     */
    public void setSpecialProcedureList(List<String> specialProcedureList){
        this.specialProcedureList = specialProcedureList;
    }
    /**
     * 获取 开始 窗口到现场次数
     * @return windowToTheSceneNumStart
     */
    public Integer getWindowToTheSceneNumStart(){
        return this.windowToTheSceneNumStart;
    }

    /**
     * 设置 开始 窗口到现场次数
     * @param windowToTheSceneNumStart
     */
    public void setWindowToTheSceneNumStart(Integer windowToTheSceneNumStart){
        this.windowToTheSceneNumStart = windowToTheSceneNumStart;
    }

    /**
     * 获取 结束 窗口到现场次数
     * @return $windowToTheSceneNumEnd
     */
    public Integer getWindowToTheSceneNumEnd(){
        return this.windowToTheSceneNumEnd;
    }

    /**
     * 设置 结束 窗口到现场次数
     * @param windowToTheSceneNumEnd
     */
    public void setWindowToTheSceneNumEnd(Integer windowToTheSceneNumEnd){
        this.windowToTheSceneNumEnd = windowToTheSceneNumEnd;
    }

    /**
     * 获取 增加 窗口到现场次数
     * @return windowToTheSceneNumIncrement
     */
    public Integer getWindowToTheSceneNumIncrement(){
        return this.windowToTheSceneNumIncrement;
    }

    /**
     * 设置 增加 窗口到现场次数
     * @param windowToTheSceneNumIncrement
     */
    public void setWindowToTheSceneNumIncrement(Integer windowToTheSceneNumIncrement){
        this.windowToTheSceneNumIncrement = windowToTheSceneNumIncrement;
    }

    /**
     * 获取 窗口到现场次数
     * @return windowToTheSceneNumList
     */
    public List<Integer> getWindowToTheSceneNumList(){
        return this.windowToTheSceneNumList;
    }

    /**
     * 设置 窗口到现场次数
     * @param windowToTheSceneNumList
     */
    public void setWindowToTheSceneNumList(List<Integer> windowToTheSceneNumList){
        this.windowToTheSceneNumList = windowToTheSceneNumList;
    }

    /**
     * 获取 是否网上预约,窗口办理选（否.否，是.是）
     * @return isOnlineSubscribeShowList
     */
    public List<String> getIsOnlineSubscribeShowList(){
        return this.isOnlineSubscribeShowList;
    }

    /**
     * 设置 是否网上预约,窗口办理选（否.否，是.是）
     * @param isOnlineSubscribeShowList
     */
    public void setIsOnlineSubscribeShowList(List<String> isOnlineSubscribeShowList){
        this.isOnlineSubscribeShowList = isOnlineSubscribeShowList;
    }
    /**
     * 获取 物流快递,窗口办理选（否.否，是.是）
     * @return isExpressTakeShowList
     */
    public List<String> getIsExpressTakeShowList(){
        return this.isExpressTakeShowList;
    }

    /**
     * 设置 物流快递,窗口办理选（否.否，是.是）
     * @param isExpressTakeShowList
     */
    public void setIsExpressTakeShowList(List<String> isExpressTakeShowList){
        this.isExpressTakeShowList = isExpressTakeShowList;
    }
    /**
     * 获取 是否支持全省范围就近取件（否.否，是.是）
     * @return isProvinceAcquisitionShowList
     */
    public List<String> getIsProvinceAcquisitionShowList(){
        return this.isProvinceAcquisitionShowList;
    }

    /**
     * 设置 是否支持全省范围就近取件（否.否，是.是）
     * @param isProvinceAcquisitionShowList
     */
    public void setIsProvinceAcquisitionShowList(List<String> isProvinceAcquisitionShowList){
        this.isProvinceAcquisitionShowList = isProvinceAcquisitionShowList;
    }
    /**
     * 获取 是否支持全省范围就近办理（否.否，是.是）
     * @return isApplyProvinceShowList
     */
    public List<String> getIsApplyProvinceShowList(){
        return this.isApplyProvinceShowList;
    }

    /**
     * 设置 是否支持全省范围就近办理（否.否，是.是）
     * @param isApplyProvinceShowList
     */
    public void setIsApplyProvinceShowList(List<String> isApplyProvinceShowList){
        this.isApplyProvinceShowList = isApplyProvinceShowList;
    }
    /**
     * 获取 必须到现场原因
     * @return mustSceneExplainList
     */
    public List<String> getMustSceneExplainList(){
        return this.mustSceneExplainList;
    }

    /**
     * 设置 必须到现场原因
     * @param mustSceneExplainList
     */
    public void setMustSceneExplainList(List<String> mustSceneExplainList){
        this.mustSceneExplainList = mustSceneExplainList;
    }
    /**
     * 获取 网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）
     * @return onlineTypeList
     */
    public List<String> getOnlineTypeList(){
        return this.onlineTypeList;
    }

    /**
     * 设置 网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）
     * @param onlineTypeList
     */
    public void setOnlineTypeList(List<String> onlineTypeList){
        this.onlineTypeList = onlineTypeList;
    }
    /**
     * 获取 开始 网办到现场次数
     * @return onlineToTheSceneNumStart
     */
    public Integer getOnlineToTheSceneNumStart(){
        return this.onlineToTheSceneNumStart;
    }

    /**
     * 设置 开始 网办到现场次数
     * @param onlineToTheSceneNumStart
     */
    public void setOnlineToTheSceneNumStart(Integer onlineToTheSceneNumStart){
        this.onlineToTheSceneNumStart = onlineToTheSceneNumStart;
    }

    /**
     * 获取 结束 网办到现场次数
     * @return $onlineToTheSceneNumEnd
     */
    public Integer getOnlineToTheSceneNumEnd(){
        return this.onlineToTheSceneNumEnd;
    }

    /**
     * 设置 结束 网办到现场次数
     * @param onlineToTheSceneNumEnd
     */
    public void setOnlineToTheSceneNumEnd(Integer onlineToTheSceneNumEnd){
        this.onlineToTheSceneNumEnd = onlineToTheSceneNumEnd;
    }

    /**
     * 获取 增加 网办到现场次数
     * @return onlineToTheSceneNumIncrement
     */
    public Integer getOnlineToTheSceneNumIncrement(){
        return this.onlineToTheSceneNumIncrement;
    }

    /**
     * 设置 增加 网办到现场次数
     * @param onlineToTheSceneNumIncrement
     */
    public void setOnlineToTheSceneNumIncrement(Integer onlineToTheSceneNumIncrement){
        this.onlineToTheSceneNumIncrement = onlineToTheSceneNumIncrement;
    }

    /**
     * 获取 网办到现场次数
     * @return onlineToTheSceneNumList
     */
    public List<Integer> getOnlineToTheSceneNumList(){
        return this.onlineToTheSceneNumList;
    }

    /**
     * 设置 网办到现场次数
     * @param onlineToTheSceneNumList
     */
    public void setOnlineToTheSceneNumList(List<Integer> onlineToTheSceneNumList){
        this.onlineToTheSceneNumList = onlineToTheSceneNumList;
    }

    /**
     * 获取 网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）
     * @return onlineOperatDeepList
     */
    public List<String> getOnlineOperatDeepList(){
        return this.onlineOperatDeepList;
    }

    /**
     * 设置 网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）
     * @param onlineOperatDeepList
     */
    public void setOnlineOperatDeepList(List<String> onlineOperatDeepList){
        this.onlineOperatDeepList = onlineOperatDeepList;
    }
    /**
     * 获取 物流快递，网上办理选（否.否，是.是）
     * @return isExpressTakeOnlineShowList
     */
    public List<String> getIsExpressTakeOnlineShowList(){
        return this.isExpressTakeOnlineShowList;
    }

    /**
     * 设置 物流快递，网上办理选（否.否，是.是）
     * @param isExpressTakeOnlineShowList
     */
    public void setIsExpressTakeOnlineShowList(List<String> isExpressTakeOnlineShowList){
        this.isExpressTakeOnlineShowList = isExpressTakeOnlineShowList;
    }
    /**
     * 获取 是否支持上门收取申请（否.否，是.是）
     * @return isDoorTakeShowList
     */
    public List<String> getIsDoorTakeShowList(){
        return this.isDoorTakeShowList;
    }

    /**
     * 设置 是否支持上门收取申请（否.否，是.是）
     * @param isDoorTakeShowList
     */
    public void setIsDoorTakeShowList(List<String> isDoorTakeShowList){
        this.isDoorTakeShowList = isDoorTakeShowList;
    }
    /**
     * 获取 网上必须到现场原因
     * @return onlineMustSceneExplainList
     */
    public List<String> getOnlineMustSceneExplainList(){
        return this.onlineMustSceneExplainList;
    }

    /**
     * 设置 网上必须到现场原因
     * @param onlineMustSceneExplainList
     */
    public void setOnlineMustSceneExplainList(List<String> onlineMustSceneExplainList){
        this.onlineMustSceneExplainList = onlineMustSceneExplainList;
    }
    /**
     * 获取 实施主体
     * @return performDeptTypeList
     */
    public List<String> getPerformDeptTypeList(){
        return this.performDeptTypeList;
    }

    /**
     * 设置 实施主体
     * @param performDeptTypeList
     */
    public void setPerformDeptTypeList(List<String> performDeptTypeList){
        this.performDeptTypeList = performDeptTypeList;
    }
    /**
     * 获取 事项版本
     * @return matterEditionList
     */
    public List<String> getMatterEditionList(){
        return this.matterEditionList;
    }

    /**
     * 设置 事项版本
     * @param matterEditionList
     */
    public void setMatterEditionList(List<String> matterEditionList){
        this.matterEditionList = matterEditionList;
    }
    /**
     * 获取 事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）
     * @return eventTypeShowList
     */
    public List<String> getEventTypeShowList(){
        return this.eventTypeShowList;
    }

    /**
     * 设置 事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）
     * @param eventTypeShowList
     */
    public void setEventTypeShowList(List<String> eventTypeShowList){
        this.eventTypeShowList = eventTypeShowList;
    }
    /**
     * 获取 行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）
     * @return performHierarchyShowList
     */
    public List<String> getPerformHierarchyShowList(){
        return this.performHierarchyShowList;
    }

    /**
     * 设置 行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）
     * @param performHierarchyShowList
     */
    public void setPerformHierarchyShowList(List<String> performHierarchyShowList){
        this.performHierarchyShowList = performHierarchyShowList;
    }
    /**
     * 获取 权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）
     * @return powerSourceShowList
     */
    public List<String> getPowerSourceShowList(){
        return this.powerSourceShowList;
    }

    /**
     * 设置 权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）
     * @param powerSourceShowList
     */
    public void setPowerSourceShowList(List<String> powerSourceShowList){
        this.powerSourceShowList = powerSourceShowList;
    }
    /**
     * 获取 实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）
     * @return performDeptTypeShowList
     */
    public List<String> getPerformDeptTypeShowList(){
        return this.performDeptTypeShowList;
    }

    /**
     * 设置 实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）
     * @param performDeptTypeShowList
     */
    public void setPerformDeptTypeShowList(List<String> performDeptTypeShowList){
        this.performDeptTypeShowList = performDeptTypeShowList;
    }
    /**
     * 获取 是否进驻中心（否.否，是.是）
     * @return goveServiceCenterShowList
     */
    public List<String> getGoveServiceCenterShowList(){
        return this.goveServiceCenterShowList;
    }

    /**
     * 设置 是否进驻中心（否.否，是.是）
     * @param goveServiceCenterShowList
     */
    public void setGoveServiceCenterShowList(List<String> goveServiceCenterShowList){
        this.goveServiceCenterShowList = goveServiceCenterShowList;
    }
    /**
     * 获取 是否纳入便民服务中心（否.否，是.是）
     * @return isConvenientCenterShowList
     */
    public List<String> getIsConvenientCenterShowList(){
        return this.isConvenientCenterShowList;
    }

    /**
     * 设置 是否纳入便民服务中心（否.否，是.是）
     * @param isConvenientCenterShowList
     */
    public void setIsConvenientCenterShowList(List<String> isConvenientCenterShowList){
        this.isConvenientCenterShowList = isConvenientCenterShowList;
    }
    /**
     * 获取 自助终端办理 （否.否，是.是）
     * @return terminalHandleList
     */
    public List<String> getTerminalHandleList(){
        return this.terminalHandleList;
    }

    /**
     * 设置 自助终端办理 （否.否，是.是）
     * @param terminalHandleList
     */
    public void setTerminalHandleList(List<String> terminalHandleList){
        this.terminalHandleList = terminalHandleList;
    }
    /**
     * 获取 是否网办 （否.否，是.是）
     * @return isOnlineList
     */
    public List<String> getIsOnlineList(){
        return this.isOnlineList;
    }

    /**
     * 设置 是否网办 （否.否，是.是）
     * @param isOnlineList
     */
    public void setIsOnlineList(List<String> isOnlineList){
        this.isOnlineList = isOnlineList;
    }
    /**
     * 获取 支持网上支付（否.否，是.是）
     * @return isOnlinePayShowList
     */
    public List<String> getIsOnlinePayShowList(){
        return this.isOnlinePayShowList;
    }

    /**
     * 设置 支持网上支付（否.否，是.是）
     * @param isOnlinePayShowList
     */
    public void setIsOnlinePayShowList(List<String> isOnlinePayShowList){
        this.isOnlinePayShowList = isOnlinePayShowList;
    }
    /**
     * 获取 委托部门（否.否，是.是）
     * @return entrustmentDepartmenList
     */
    public List<String> getEntrustmentDepartmenList(){
        return this.entrustmentDepartmenList;
    }

    /**
     * 设置 委托部门（否.否，是.是）
     * @param entrustmentDepartmenList
     */
    public void setEntrustmentDepartmenList(List<String> entrustmentDepartmenList){
        this.entrustmentDepartmenList = entrustmentDepartmenList;
    }
    /**
     * 获取 联办机构
     * @return jointInfoShowList
     */
    public List<String> getJointInfoShowList(){
        return this.jointInfoShowList;
    }

    /**
     * 设置 联办机构
     * @param jointInfoShowList
     */
    public void setJointInfoShowList(List<String> jointInfoShowList){
        this.jointInfoShowList = jointInfoShowList;
    }
    /**
     * 获取 事项状态（停用.停用，在用.在用）
     * @return matterStatusList
     */
    public List<String> getMatterStatusList(){
        return this.matterStatusList;
    }

    /**
     * 设置 事项状态（停用.停用，在用.在用）
     * @param matterStatusList
     */
    public void setMatterStatusList(List<String> matterStatusList){
        this.matterStatusList = matterStatusList;
    }
    /**
     * 获取 开始 数量限制
     * @return numberLimitStart
     */
    public Long getNumberLimitStart(){
        return this.numberLimitStart;
    }

    /**
     * 设置 开始 数量限制
     * @param numberLimitStart
     */
    public void setNumberLimitStart(Long numberLimitStart){
        this.numberLimitStart = numberLimitStart;
    }

    /**
     * 获取 结束 数量限制
     * @return $numberLimitEnd
     */
    public Long getNumberLimitEnd(){
        return this.numberLimitEnd;
    }

    /**
     * 设置 结束 数量限制
     * @param numberLimitEnd
     */
    public void setNumberLimitEnd(Long numberLimitEnd){
        this.numberLimitEnd = numberLimitEnd;
    }

    /**
     * 获取 增加 数量限制
     * @return numberLimitIncrement
     */
    public Long getNumberLimitIncrement(){
        return this.numberLimitIncrement;
    }

    /**
     * 设置 增加 数量限制
     * @param numberLimitIncrement
     */
    public void setNumberLimitIncrement(Long numberLimitIncrement){
        this.numberLimitIncrement = numberLimitIncrement;
    }

    /**
     * 获取 数量限制
     * @return numberLimitList
     */
    public List<Long> getNumberLimitList(){
        return this.numberLimitList;
    }

    /**
     * 设置 数量限制
     * @param numberLimitList
     */
    public void setNumberLimitList(List<Long> numberLimitList){
        this.numberLimitList = numberLimitList;
    }

    /**
     * 获取 主题类型
     * @return typeList
     */
    public List<String> getTypeList(){
        return this.typeList;
    }

    /**
     * 设置 主题类型
     * @param typeList
     */
    public void setTypeList(List<String> typeList){
        this.typeList = typeList;
    }
    /**
     * 获取 基本编码
     * @return baseCodeList
     */
    public List<String> getBaseCodeList(){
        return this.baseCodeList;
    }

    /**
     * 设置 基本编码
     * @param baseCodeList
     */
    public void setBaseCodeList(List<String> baseCodeList){
        this.baseCodeList = baseCodeList;
    }
    /**
     * 获取 实施编码
     * @return implementCodeList
     */
    public List<String> getImplementCodeList(){
        return this.implementCodeList;
    }

    /**
     * 设置 实施编码
     * @param implementCodeList
     */
    public void setImplementCodeList(List<String> implementCodeList){
        this.implementCodeList = implementCodeList;
    }
    /**
     * 获取 实施主体编码
     * @return implementBodyCodeList
     */
    public List<String> getImplementBodyCodeList(){
        return this.implementBodyCodeList;
    }

    /**
     * 设置 实施主体编码
     * @param implementBodyCodeList
     */
    public void setImplementBodyCodeList(List<String> implementBodyCodeList){
        this.implementBodyCodeList = implementBodyCodeList;
    }
    /**
     * 获取 办理项编码
     * @return operateItemCodeList
     */
    public List<String> getOperateItemCodeList(){
        return this.operateItemCodeList;
    }

    /**
     * 设置 办理项编码
     * @param operateItemCodeList
     */
    public void setOperateItemCodeList(List<String> operateItemCodeList){
        this.operateItemCodeList = operateItemCodeList;
    }
    /**
     * 获取 乡镇街道名称
     * @return townshipNameList
     */
    public List<String> getTownshipNameList(){
        return this.townshipNameList;
    }

    /**
     * 设置 乡镇街道名称
     * @param townshipNameList
     */
    public void setTownshipNameList(List<String> townshipNameList){
        this.townshipNameList = townshipNameList;
    }
    /**
     * 获取 乡镇街道代码
     * @return townshipCodeList
     */
    public List<String> getTownshipCodeList(){
        return this.townshipCodeList;
    }

    /**
     * 设置 乡镇街道代码
     * @param townshipCodeList
     */
    public void setTownshipCodeList(List<String> townshipCodeList){
        this.townshipCodeList = townshipCodeList;
    }
    /**
     * 获取 村居社区名称
     * @return villageNameList
     */
    public List<String> getVillageNameList(){
        return this.villageNameList;
    }

    /**
     * 设置 村居社区名称
     * @param villageNameList
     */
    public void setVillageNameList(List<String> villageNameList){
        this.villageNameList = villageNameList;
    }
    /**
     * 获取 村居社区代码
     * @return villageCodeList
     */
    public List<String> getVillageCodeList(){
        return this.villageCodeList;
    }

    /**
     * 设置 村居社区代码
     * @param villageCodeList
     */
    public void setVillageCodeList(List<String> villageCodeList){
        this.villageCodeList = villageCodeList;
    }
    /**
     * 获取 办理时间
     * @return operateTimeList
     */
    public List<String> getOperateTimeList(){
        return this.operateTimeList;
    }

    /**
     * 设置 办理时间
     * @param operateTimeList
     */
    public void setOperateTimeList(List<String> operateTimeList){
        this.operateTimeList = operateTimeList;
    }
    /**
     * 获取 办理地点
     * @return operateSiteList
     */
    public List<String> getOperateSiteList(){
        return this.operateSiteList;
    }

    /**
     * 设置 办理地点
     * @param operateSiteList
     */
    public void setOperateSiteList(List<String> operateSiteList){
        this.operateSiteList = operateSiteList;
    }
    /**
     * 获取 咨询方式
     * @return cousultingShowList
     */
    public List<String> getCousultingShowList(){
        return this.cousultingShowList;
    }

    /**
     * 设置 咨询方式
     * @param cousultingShowList
     */
    public void setCousultingShowList(List<String> cousultingShowList){
        this.cousultingShowList = cousultingShowList;
    }
    /**
     * 获取 咨询电话
     * @return cousultingTelephoneShowList
     */
    public List<String> getCousultingTelephoneShowList(){
        return this.cousultingTelephoneShowList;
    }

    /**
     * 设置 咨询电话
     * @param cousultingTelephoneShowList
     */
    public void setCousultingTelephoneShowList(List<String> cousultingTelephoneShowList){
        this.cousultingTelephoneShowList = cousultingTelephoneShowList;
    }
    /**
     * 获取 监督投诉方式
     * @return superviseShowList
     */
    public List<String> getSuperviseShowList(){
        return this.superviseShowList;
    }

    /**
     * 设置 监督投诉方式
     * @param superviseShowList
     */
    public void setSuperviseShowList(List<String> superviseShowList){
        this.superviseShowList = superviseShowList;
    }
    /**
     * 获取 开始 排序
     * @return sortStart
     */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
     * 设置 开始 排序
     * @param sortStart
     */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
     * 获取 结束 排序
     * @return $sortEnd
     */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
     * 设置 结束 排序
     * @param sortEnd
     */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
     * 获取 增加 排序
     * @return sortIncrement
     */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
     * 设置 增加 排序
     * @param sortIncrement
     */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
     * 获取 排序
     * @return sortList
     */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
     * 设置 排序
     * @param sortList
     */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
     * 获取 开始 事项来源(0.政务网，1.自定义)
     * @return sourceStart
     */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
     * 设置 开始 事项来源(0.政务网，1.自定义)
     * @param sourceStart
     */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
     * 获取 结束 事项来源(0.政务网，1.自定义)
     * @return $sourceEnd
     */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
     * 设置 结束 事项来源(0.政务网，1.自定义)
     * @param sourceEnd
     */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
     * 获取 增加 事项来源(0.政务网，1.自定义)
     * @return sourceIncrement
     */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
     * 设置 增加 事项来源(0.政务网，1.自定义)
     * @param sourceIncrement
     */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
     * 获取 事项来源(0.政务网，1.自定义)
     * @return sourceList
     */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
     * 设置 事项来源(0.政务网，1.自定义)
     * @param sourceList
     */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public SheetMatterQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public SheetMatterQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public SheetMatterQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public SheetMatterQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public SheetMatterQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置  站点ID
     * @param siteId
     */
    public SheetMatterQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public SheetMatterQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public SheetMatterQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public SheetMatterQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public SheetMatterQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }


    /**
     * 设置 从政务系统来的事项id
     * @param tid
     */
    public SheetMatterQuery tid(String tid){
        setTid(tid);
        return this;
    }

    /**
     * 设置 从政务系统来的事项id
     * @param tidList
     */
    public SheetMatterQuery tidList(List<String> tidList){
        this.tidList = tidList;
        return this;
    }


    /**
     * 设置 从政务系统来的事项code
     * @param tcode
     */
    public SheetMatterQuery tcode(String tcode){
        setTcode(tcode);
        return this;
    }

    /**
     * 设置 从政务系统来的事项code
     * @param tcodeList
     */
    public SheetMatterQuery tcodeList(List<String> tcodeList){
        this.tcodeList = tcodeList;
        return this;
    }


    /**
     * 设置 从政务系统来的事项name
     * @param tname
     */
    public SheetMatterQuery tname(String tname){
        setTname(tname);
        return this;
    }

    /**
     * 设置 从政务系统来的事项name
     * @param tnameList
     */
    public SheetMatterQuery tnameList(List<String> tnameList){
        this.tnameList = tnameList;
        return this;
    }


    /**
     * 设置 事项名称
     * @param matterName
     */
    public SheetMatterQuery matterName(String matterName){
        setMatterName(matterName);
        return this;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public SheetMatterQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
        return this;
    }


    /**
     * 设置 英语事项名
     * @param englishName
     */
    public SheetMatterQuery englishName(String englishName){
        setEnglishName(englishName);
        return this;
    }

    /**
     * 设置 英语事项名
     * @param englishNameList
     */
    public SheetMatterQuery englishNameList(List<String> englishNameList){
        this.englishNameList = englishNameList;
        return this;
    }


    /**
     * 设置 事项编号
     * @param matterNo
     */
    public SheetMatterQuery matterNo(String matterNo){
        setMatterNo(matterNo);
        return this;
    }

    /**
     * 设置 事项编号
     * @param matterNoList
     */
    public SheetMatterQuery matterNoList(List<String> matterNoList){
        this.matterNoList = matterNoList;
        return this;
    }


    /**
     * 设置 区域编码
     * @param areaCode
     */
    public SheetMatterQuery areaCode(String areaCode){
        setAreaCode(areaCode);
        return this;
    }

    /**
     * 设置 区域编码
     * @param areaCodeList
     */
    public SheetMatterQuery areaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
        return this;
    }


    /**
     * 设置 部门编号
     * @param deptCode
     */
    public SheetMatterQuery deptCode(String deptCode){
        setDeptCode(deptCode);
        return this;
    }

    /**
     * 设置 部门编号
     * @param deptCodeList
     */
    public SheetMatterQuery deptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
        return this;
    }


    /**
     * 设置 部门名称
     * @param deptName
     */
    public SheetMatterQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public SheetMatterQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }


    /**
     * 设置 行政权力编号
     * @param powerCode
     */
    public SheetMatterQuery powerCode(String powerCode){
        setPowerCode(powerCode);
        return this;
    }

    /**
     * 设置 行政权力编号
     * @param powerCodeList
     */
    public SheetMatterQuery powerCodeList(List<String> powerCodeList){
        this.powerCodeList = powerCodeList;
        return this;
    }


    /**
     * 设置 主题编号
     * @param themeCode
     */
    public SheetMatterQuery themeCode(String themeCode){
        setThemeCode(themeCode);
        return this;
    }

    /**
     * 设置 主题编号
     * @param themeCodeList
     */
    public SheetMatterQuery themeCodeList(List<String> themeCodeList){
        this.themeCodeList = themeCodeList;
        return this;
    }


    /**
     * 设置 服务类型编号
     * @param usertypeCode
     */
    public SheetMatterQuery usertypeCode(String usertypeCode){
        setUsertypeCode(usertypeCode);
        return this;
    }

    /**
     * 设置 服务类型编号
     * @param usertypeCodeList
     */
    public SheetMatterQuery usertypeCodeList(List<String> usertypeCodeList){
        this.usertypeCodeList = usertypeCodeList;
        return this;
    }


    /**
     * 设置 事项组名
     * @param groupName
     */
    public SheetMatterQuery groupName(String groupName){
        setGroupName(groupName);
        return this;
    }

    /**
     * 设置 事项组名
     * @param groupNameList
     */
    public SheetMatterQuery groupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
        return this;
    }


    /**
     * 设置 事项详情链接
     * @param url
     */
    public SheetMatterQuery url(String url){
        setUrl(url);
        return this;
    }

    /**
     * 设置 事项详情链接
     * @param urlList
     */
    public SheetMatterQuery urlList(List<String> urlList){
        this.urlList = urlList;
        return this;
    }


    /**
     * 设置 是否获取事项详情
     * @param haveGetMatterInfo
     */
    public SheetMatterQuery haveGetMatterInfo(String haveGetMatterInfo){
        setHaveGetMatterInfo(haveGetMatterInfo);
        return this;
    }

    /**
     * 设置 是否获取事项详情
     * @param haveGetMatterInfoList
     */
    public SheetMatterQuery haveGetMatterInfoList(List<String> haveGetMatterInfoList){
        this.haveGetMatterInfoList = haveGetMatterInfoList;
        return this;
    }


    /**
     * 设置 所属部门
     * @param belongDept
     */
    public SheetMatterQuery belongDept(String belongDept){
        setBelongDept(belongDept);
        return this;
    }

    /**
     * 设置 所属部门
     * @param belongDeptList
     */
    public SheetMatterQuery belongDeptList(List<String> belongDeptList){
        this.belongDeptList = belongDeptList;
        return this;
    }


    /**
     * 设置 服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）
     * @param appoveObjectShow
     */
    public SheetMatterQuery appoveObjectShow(String appoveObjectShow){
        setAppoveObjectShow(appoveObjectShow);
        return this;
    }

    /**
     * 设置 服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）
     * @param appoveObjectShowList
     */
    public SheetMatterQuery appoveObjectShowList(List<String> appoveObjectShowList){
        this.appoveObjectShowList = appoveObjectShowList;
        return this;
    }


    /**
     * 设置 通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）
     * @param operatScopeShow
     */
    public SheetMatterQuery operatScopeShow(String operatScopeShow){
        setOperatScopeShow(operatScopeShow);
        return this;
    }

    /**
     * 设置 通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）
     * @param operatScopeShowList
     */
    public SheetMatterQuery operatScopeShowList(List<String> operatScopeShowList){
        this.operatScopeShowList = operatScopeShowList;
        return this;
    }


    /**
     * 设置 办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）
     * @param appoveTimeLimitShow
     */
    public SheetMatterQuery appoveTimeLimitShow(String appoveTimeLimitShow){
        setAppoveTimeLimitShow(appoveTimeLimitShow);
        return this;
    }

    /**
     * 设置 办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）
     * @param appoveTimeLimitShowList
     */
    public SheetMatterQuery appoveTimeLimitShowList(List<String> appoveTimeLimitShowList){
        this.appoveTimeLimitShowList = appoveTimeLimitShowList;
        return this;
    }


    /**
     * 设置 办理形式（窗口办理.窗口办理，网上办理.网上办理）
     * @param handleType
     */
    public SheetMatterQuery handleType(String handleType){
        setHandleType(handleType);
        return this;
    }

    /**
     * 设置 办理形式（窗口办理.窗口办理，网上办理.网上办理）
     * @param handleTypeList
     */
    public SheetMatterQuery handleTypeList(List<String> handleTypeList){
        this.handleTypeList = handleTypeList;
        return this;
    }


    /**
     * 设置 法定办结时限
     * @param legalTimeLimitShow
     */
    public SheetMatterQuery legalTimeLimitShow(String legalTimeLimitShow){
        setLegalTimeLimitShow(legalTimeLimitShow);
        return this;
    }

    /**
     * 设置 法定办结时限
     * @param legalTimeLimitShowList
     */
    public SheetMatterQuery legalTimeLimitShowList(List<String> legalTimeLimitShowList){
        this.legalTimeLimitShowList = legalTimeLimitShowList;
        return this;
    }


    /**
     * 设置 法定时限办结说明
     * @param legalEndExplain
     */
    public SheetMatterQuery legalEndExplain(String legalEndExplain){
        setLegalEndExplain(legalEndExplain);
        return this;
    }

    /**
     * 设置 法定时限办结说明
     * @param legalEndExplainList
     */
    public SheetMatterQuery legalEndExplainList(List<String> legalEndExplainList){
        this.legalEndExplainList = legalEndExplainList;
        return this;
    }


    /**
     * 设置 承诺办结时限
     * @param promiseTimeLimitShow
     */
    public SheetMatterQuery promiseTimeLimitShow(String promiseTimeLimitShow){
        setPromiseTimeLimitShow(promiseTimeLimitShow);
        return this;
    }

    /**
     * 设置 承诺办结时限
     * @param promiseTimeLimitShowList
     */
    public SheetMatterQuery promiseTimeLimitShowList(List<String> promiseTimeLimitShowList){
        this.promiseTimeLimitShowList = promiseTimeLimitShowList;
        return this;
    }


    /**
     * 设置 承诺时限办结说明
     * @param promiseEndExplain
     */
    public SheetMatterQuery promiseEndExplain(String promiseEndExplain){
        setPromiseEndExplain(promiseEndExplain);
        return this;
    }

    /**
     * 设置 承诺时限办结说明
     * @param promiseEndExplainList
     */
    public SheetMatterQuery promiseEndExplainList(List<String> promiseEndExplainList){
        this.promiseEndExplainList = promiseEndExplainList;
        return this;
    }


    /**
     * 设置 是否收费（否.否，是.是）
     * @param isChargesShow
     */
    public SheetMatterQuery isChargesShow(String isChargesShow){
        setIsChargesShow(isChargesShow);
        return this;
    }

    /**
     * 设置 是否收费（否.否，是.是）
     * @param isChargesShowList
     */
    public SheetMatterQuery isChargesShowList(List<String> isChargesShowList){
        this.isChargesShowList = isChargesShowList;
        return this;
    }


    /**
     * 设置 认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）
     * @param certificationLevelsShow
     */
    public SheetMatterQuery certificationLevelsShow(String certificationLevelsShow){
        setCertificationLevelsShow(certificationLevelsShow);
        return this;
    }

    /**
     * 设置 认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）
     * @param certificationLevelsShowList
     */
    public SheetMatterQuery certificationLevelsShowList(List<String> certificationLevelsShowList){
        this.certificationLevelsShowList = certificationLevelsShowList;
        return this;
    }




    /**
     * 设置 特别程序
     * @param specialProcedure
     */
    public SheetMatterQuery specialProcedure(String specialProcedure){
        setSpecialProcedure(specialProcedure);
        return this;
    }

    /**
     * 设置 特别程序
     * @param specialProcedureList
     */
    public SheetMatterQuery specialProcedureList(List<String> specialProcedureList){
        this.specialProcedureList = specialProcedureList;
        return this;
    }

    /**
     * 设置  窗口到现场次数
     * @param windowToTheSceneNum
     */
    public SheetMatterQuery windowToTheSceneNum(Integer windowToTheSceneNum){
        setWindowToTheSceneNum(windowToTheSceneNum);
        return this;
    }

    /**
     * 设置 开始 窗口到现场次数
     * @param windowToTheSceneNumStart
     */
    public SheetMatterQuery windowToTheSceneNumStart(Integer windowToTheSceneNumStart){
        this.windowToTheSceneNumStart = windowToTheSceneNumStart;
        return this;
    }

    /**
     * 设置 结束 窗口到现场次数
     * @param windowToTheSceneNumEnd
     */
    public SheetMatterQuery windowToTheSceneNumEnd(Integer windowToTheSceneNumEnd){
        this.windowToTheSceneNumEnd = windowToTheSceneNumEnd;
        return this;
    }

    /**
     * 设置 增加 窗口到现场次数
     * @param windowToTheSceneNumIncrement
     */
    public SheetMatterQuery windowToTheSceneNumIncrement(Integer windowToTheSceneNumIncrement){
        this.windowToTheSceneNumIncrement = windowToTheSceneNumIncrement;
        return this;
    }

    /**
     * 设置 窗口到现场次数
     * @param windowToTheSceneNumList
     */
    public SheetMatterQuery windowToTheSceneNumList(List<Integer> windowToTheSceneNumList){
        this.windowToTheSceneNumList = windowToTheSceneNumList;
        return this;
    }


    /**
     * 设置 是否网上预约,窗口办理选（否.否，是.是）
     * @param isOnlineSubscribeShow
     */
    public SheetMatterQuery isOnlineSubscribeShow(String isOnlineSubscribeShow){
        setIsOnlineSubscribeShow(isOnlineSubscribeShow);
        return this;
    }

    /**
     * 设置 是否网上预约,窗口办理选（否.否，是.是）
     * @param isOnlineSubscribeShowList
     */
    public SheetMatterQuery isOnlineSubscribeShowList(List<String> isOnlineSubscribeShowList){
        this.isOnlineSubscribeShowList = isOnlineSubscribeShowList;
        return this;
    }


    /**
     * 设置 物流快递,窗口办理选（否.否，是.是）
     * @param isExpressTakeShow
     */
    public SheetMatterQuery isExpressTakeShow(String isExpressTakeShow){
        setIsExpressTakeShow(isExpressTakeShow);
        return this;
    }

    /**
     * 设置 物流快递,窗口办理选（否.否，是.是）
     * @param isExpressTakeShowList
     */
    public SheetMatterQuery isExpressTakeShowList(List<String> isExpressTakeShowList){
        this.isExpressTakeShowList = isExpressTakeShowList;
        return this;
    }


    /**
     * 设置 是否支持全省范围就近取件（否.否，是.是）
     * @param isProvinceAcquisitionShow
     */
    public SheetMatterQuery isProvinceAcquisitionShow(String isProvinceAcquisitionShow){
        setIsProvinceAcquisitionShow(isProvinceAcquisitionShow);
        return this;
    }

    /**
     * 设置 是否支持全省范围就近取件（否.否，是.是）
     * @param isProvinceAcquisitionShowList
     */
    public SheetMatterQuery isProvinceAcquisitionShowList(List<String> isProvinceAcquisitionShowList){
        this.isProvinceAcquisitionShowList = isProvinceAcquisitionShowList;
        return this;
    }


    /**
     * 设置 是否支持全省范围就近办理（否.否，是.是）
     * @param isApplyProvinceShow
     */
    public SheetMatterQuery isApplyProvinceShow(String isApplyProvinceShow){
        setIsApplyProvinceShow(isApplyProvinceShow);
        return this;
    }

    /**
     * 设置 是否支持全省范围就近办理（否.否，是.是）
     * @param isApplyProvinceShowList
     */
    public SheetMatterQuery isApplyProvinceShowList(List<String> isApplyProvinceShowList){
        this.isApplyProvinceShowList = isApplyProvinceShowList;
        return this;
    }


    /**
     * 设置 必须到现场原因
     * @param mustSceneExplain
     */
    public SheetMatterQuery mustSceneExplain(String mustSceneExplain){
        setMustSceneExplain(mustSceneExplain);
        return this;
    }

    /**
     * 设置 必须到现场原因
     * @param mustSceneExplainList
     */
    public SheetMatterQuery mustSceneExplainList(List<String> mustSceneExplainList){
        this.mustSceneExplainList = mustSceneExplainList;
        return this;
    }


    /**
     * 设置 网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）
     * @param onlineType
     */
    public SheetMatterQuery onlineType(String onlineType){
        setOnlineType(onlineType);
        return this;
    }

    /**
     * 设置 网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）
     * @param onlineTypeList
     */
    public SheetMatterQuery onlineTypeList(List<String> onlineTypeList){
        this.onlineTypeList = onlineTypeList;
        return this;
    }

    /**
     * 设置  网办到现场次数
     * @param onlineToTheSceneNum
     */
    public SheetMatterQuery onlineToTheSceneNum(Integer onlineToTheSceneNum){
        setOnlineToTheSceneNum(onlineToTheSceneNum);
        return this;
    }

    /**
     * 设置 开始 网办到现场次数
     * @param onlineToTheSceneNumStart
     */
    public SheetMatterQuery onlineToTheSceneNumStart(Integer onlineToTheSceneNumStart){
        this.onlineToTheSceneNumStart = onlineToTheSceneNumStart;
        return this;
    }

    /**
     * 设置 结束 网办到现场次数
     * @param onlineToTheSceneNumEnd
     */
    public SheetMatterQuery onlineToTheSceneNumEnd(Integer onlineToTheSceneNumEnd){
        this.onlineToTheSceneNumEnd = onlineToTheSceneNumEnd;
        return this;
    }

    /**
     * 设置 增加 网办到现场次数
     * @param onlineToTheSceneNumIncrement
     */
    public SheetMatterQuery onlineToTheSceneNumIncrement(Integer onlineToTheSceneNumIncrement){
        this.onlineToTheSceneNumIncrement = onlineToTheSceneNumIncrement;
        return this;
    }

    /**
     * 设置 网办到现场次数
     * @param onlineToTheSceneNumList
     */
    public SheetMatterQuery onlineToTheSceneNumList(List<Integer> onlineToTheSceneNumList){
        this.onlineToTheSceneNumList = onlineToTheSceneNumList;
        return this;
    }


    /**
     * 设置 网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）
     * @param onlineOperatDeep
     */
    public SheetMatterQuery onlineOperatDeep(String onlineOperatDeep){
        setOnlineOperatDeep(onlineOperatDeep);
        return this;
    }

    /**
     * 设置 网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）
     * @param onlineOperatDeepList
     */
    public SheetMatterQuery onlineOperatDeepList(List<String> onlineOperatDeepList){
        this.onlineOperatDeepList = onlineOperatDeepList;
        return this;
    }


    /**
     * 设置 物流快递，网上办理选（否.否，是.是）
     * @param isExpressTakeOnlineShow
     */
    public SheetMatterQuery isExpressTakeOnlineShow(String isExpressTakeOnlineShow){
        setIsExpressTakeOnlineShow(isExpressTakeOnlineShow);
        return this;
    }

    /**
     * 设置 物流快递，网上办理选（否.否，是.是）
     * @param isExpressTakeOnlineShowList
     */
    public SheetMatterQuery isExpressTakeOnlineShowList(List<String> isExpressTakeOnlineShowList){
        this.isExpressTakeOnlineShowList = isExpressTakeOnlineShowList;
        return this;
    }


    /**
     * 设置 是否支持上门收取申请（否.否，是.是）
     * @param isDoorTakeShow
     */
    public SheetMatterQuery isDoorTakeShow(String isDoorTakeShow){
        setIsDoorTakeShow(isDoorTakeShow);
        return this;
    }

    /**
     * 设置 是否支持上门收取申请（否.否，是.是）
     * @param isDoorTakeShowList
     */
    public SheetMatterQuery isDoorTakeShowList(List<String> isDoorTakeShowList){
        this.isDoorTakeShowList = isDoorTakeShowList;
        return this;
    }


    /**
     * 设置 网上必须到现场原因
     * @param onlineMustSceneExplain
     */
    public SheetMatterQuery onlineMustSceneExplain(String onlineMustSceneExplain){
        setOnlineMustSceneExplain(onlineMustSceneExplain);
        return this;
    }

    /**
     * 设置 网上必须到现场原因
     * @param onlineMustSceneExplainList
     */
    public SheetMatterQuery onlineMustSceneExplainList(List<String> onlineMustSceneExplainList){
        this.onlineMustSceneExplainList = onlineMustSceneExplainList;
        return this;
    }


    /**
     * 设置 实施主体
     * @param performDeptType
     */
    public SheetMatterQuery performDeptType(String performDeptType){
        setPerformDeptType(performDeptType);
        return this;
    }

    /**
     * 设置 实施主体
     * @param performDeptTypeList
     */
    public SheetMatterQuery performDeptTypeList(List<String> performDeptTypeList){
        this.performDeptTypeList = performDeptTypeList;
        return this;
    }


    /**
     * 设置 事项版本
     * @param matterEdition
     */
    public SheetMatterQuery matterEdition(String matterEdition){
        setMatterEdition(matterEdition);
        return this;
    }

    /**
     * 设置 事项版本
     * @param matterEditionList
     */
    public SheetMatterQuery matterEditionList(List<String> matterEditionList){
        this.matterEditionList = matterEditionList;
        return this;
    }


    /**
     * 设置 事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）
     * @param eventTypeShow
     */
    public SheetMatterQuery eventTypeShow(String eventTypeShow){
        setEventTypeShow(eventTypeShow);
        return this;
    }

    /**
     * 设置 事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）
     * @param eventTypeShowList
     */
    public SheetMatterQuery eventTypeShowList(List<String> eventTypeShowList){
        this.eventTypeShowList = eventTypeShowList;
        return this;
    }


    /**
     * 设置 行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）
     * @param performHierarchyShow
     */
    public SheetMatterQuery performHierarchyShow(String performHierarchyShow){
        setPerformHierarchyShow(performHierarchyShow);
        return this;
    }

    /**
     * 设置 行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）
     * @param performHierarchyShowList
     */
    public SheetMatterQuery performHierarchyShowList(List<String> performHierarchyShowList){
        this.performHierarchyShowList = performHierarchyShowList;
        return this;
    }


    /**
     * 设置 权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）
     * @param powerSourceShow
     */
    public SheetMatterQuery powerSourceShow(String powerSourceShow){
        setPowerSourceShow(powerSourceShow);
        return this;
    }

    /**
     * 设置 权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）
     * @param powerSourceShowList
     */
    public SheetMatterQuery powerSourceShowList(List<String> powerSourceShowList){
        this.powerSourceShowList = powerSourceShowList;
        return this;
    }


    /**
     * 设置 实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）
     * @param performDeptTypeShow
     */
    public SheetMatterQuery performDeptTypeShow(String performDeptTypeShow){
        setPerformDeptTypeShow(performDeptTypeShow);
        return this;
    }

    /**
     * 设置 实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）
     * @param performDeptTypeShowList
     */
    public SheetMatterQuery performDeptTypeShowList(List<String> performDeptTypeShowList){
        this.performDeptTypeShowList = performDeptTypeShowList;
        return this;
    }


    /**
     * 设置 是否进驻中心（否.否，是.是）
     * @param goveServiceCenterShow
     */
    public SheetMatterQuery goveServiceCenterShow(String goveServiceCenterShow){
        setGoveServiceCenterShow(goveServiceCenterShow);
        return this;
    }

    /**
     * 设置 是否进驻中心（否.否，是.是）
     * @param goveServiceCenterShowList
     */
    public SheetMatterQuery goveServiceCenterShowList(List<String> goveServiceCenterShowList){
        this.goveServiceCenterShowList = goveServiceCenterShowList;
        return this;
    }


    /**
     * 设置 是否纳入便民服务中心（否.否，是.是）
     * @param isConvenientCenterShow
     */
    public SheetMatterQuery isConvenientCenterShow(String isConvenientCenterShow){
        setIsConvenientCenterShow(isConvenientCenterShow);
        return this;
    }

    /**
     * 设置 是否纳入便民服务中心（否.否，是.是）
     * @param isConvenientCenterShowList
     */
    public SheetMatterQuery isConvenientCenterShowList(List<String> isConvenientCenterShowList){
        this.isConvenientCenterShowList = isConvenientCenterShowList;
        return this;
    }


    /**
     * 设置 自助终端办理 （否.否，是.是）
     * @param terminalHandle
     */
    public SheetMatterQuery terminalHandle(String terminalHandle){
        setTerminalHandle(terminalHandle);
        return this;
    }

    /**
     * 设置 自助终端办理 （否.否，是.是）
     * @param terminalHandleList
     */
    public SheetMatterQuery terminalHandleList(List<String> terminalHandleList){
        this.terminalHandleList = terminalHandleList;
        return this;
    }


    /**
     * 设置 是否网办 （否.否，是.是）
     * @param isOnline
     */
    public SheetMatterQuery isOnline(String isOnline){
        setIsOnline(isOnline);
        return this;
    }

    /**
     * 设置 是否网办 （否.否，是.是）
     * @param isOnlineList
     */
    public SheetMatterQuery isOnlineList(List<String> isOnlineList){
        this.isOnlineList = isOnlineList;
        return this;
    }


    /**
     * 设置 支持网上支付（否.否，是.是）
     * @param isOnlinePayShow
     */
    public SheetMatterQuery isOnlinePayShow(String isOnlinePayShow){
        setIsOnlinePayShow(isOnlinePayShow);
        return this;
    }

    /**
     * 设置 支持网上支付（否.否，是.是）
     * @param isOnlinePayShowList
     */
    public SheetMatterQuery isOnlinePayShowList(List<String> isOnlinePayShowList){
        this.isOnlinePayShowList = isOnlinePayShowList;
        return this;
    }


    /**
     * 设置 委托部门（否.否，是.是）
     * @param entrustmentDepartmen
     */
    public SheetMatterQuery entrustmentDepartmen(String entrustmentDepartmen){
        setEntrustmentDepartmen(entrustmentDepartmen);
        return this;
    }

    /**
     * 设置 委托部门（否.否，是.是）
     * @param entrustmentDepartmenList
     */
    public SheetMatterQuery entrustmentDepartmenList(List<String> entrustmentDepartmenList){
        this.entrustmentDepartmenList = entrustmentDepartmenList;
        return this;
    }


    /**
     * 设置 联办机构
     * @param jointInfoShow
     */
    public SheetMatterQuery jointInfoShow(String jointInfoShow){
        setJointInfoShow(jointInfoShow);
        return this;
    }

    /**
     * 设置 联办机构
     * @param jointInfoShowList
     */
    public SheetMatterQuery jointInfoShowList(List<String> jointInfoShowList){
        this.jointInfoShowList = jointInfoShowList;
        return this;
    }


    /**
     * 设置 事项状态（停用.停用，在用.在用）
     * @param matterStatus
     */
    public SheetMatterQuery matterStatus(String matterStatus){
        setMatterStatus(matterStatus);
        return this;
    }

    /**
     * 设置 事项状态（停用.停用，在用.在用）
     * @param matterStatusList
     */
    public SheetMatterQuery matterStatusList(List<String> matterStatusList){
        this.matterStatusList = matterStatusList;
        return this;
    }

    /**
     * 设置  数量限制
     * @param numberLimit
     */
    public SheetMatterQuery numberLimit(Long numberLimit){
        setNumberLimit(numberLimit);
        return this;
    }

    /**
     * 设置 开始 数量限制
     * @param numberLimitStart
     */
    public SheetMatterQuery numberLimitStart(Long numberLimitStart){
        this.numberLimitStart = numberLimitStart;
        return this;
    }

    /**
     * 设置 结束 数量限制
     * @param numberLimitEnd
     */
    public SheetMatterQuery numberLimitEnd(Long numberLimitEnd){
        this.numberLimitEnd = numberLimitEnd;
        return this;
    }

    /**
     * 设置 增加 数量限制
     * @param numberLimitIncrement
     */
    public SheetMatterQuery numberLimitIncrement(Long numberLimitIncrement){
        this.numberLimitIncrement = numberLimitIncrement;
        return this;
    }

    /**
     * 设置 数量限制
     * @param numberLimitList
     */
    public SheetMatterQuery numberLimitList(List<Long> numberLimitList){
        this.numberLimitList = numberLimitList;
        return this;
    }


    /**
     * 设置 主题类型
     * @param type
     */
    public SheetMatterQuery type(String type){
        setType(type);
        return this;
    }

    /**
     * 设置 主题类型
     * @param typeList
     */
    public SheetMatterQuery typeList(List<String> typeList){
        this.typeList = typeList;
        return this;
    }


    /**
     * 设置 基本编码
     * @param baseCode
     */
    public SheetMatterQuery baseCode(String baseCode){
        setBaseCode(baseCode);
        return this;
    }

    /**
     * 设置 基本编码
     * @param baseCodeList
     */
    public SheetMatterQuery baseCodeList(List<String> baseCodeList){
        this.baseCodeList = baseCodeList;
        return this;
    }


    /**
     * 设置 实施编码
     * @param implementCode
     */
    public SheetMatterQuery implementCode(String implementCode){
        setImplementCode(implementCode);
        return this;
    }

    /**
     * 设置 实施编码
     * @param implementCodeList
     */
    public SheetMatterQuery implementCodeList(List<String> implementCodeList){
        this.implementCodeList = implementCodeList;
        return this;
    }


    /**
     * 设置 实施主体编码
     * @param implementBodyCode
     */
    public SheetMatterQuery implementBodyCode(String implementBodyCode){
        setImplementBodyCode(implementBodyCode);
        return this;
    }

    /**
     * 设置 实施主体编码
     * @param implementBodyCodeList
     */
    public SheetMatterQuery implementBodyCodeList(List<String> implementBodyCodeList){
        this.implementBodyCodeList = implementBodyCodeList;
        return this;
    }


    /**
     * 设置 办理项编码
     * @param operateItemCode
     */
    public SheetMatterQuery operateItemCode(String operateItemCode){
        setOperateItemCode(operateItemCode);
        return this;
    }

    /**
     * 设置 办理项编码
     * @param operateItemCodeList
     */
    public SheetMatterQuery operateItemCodeList(List<String> operateItemCodeList){
        this.operateItemCodeList = operateItemCodeList;
        return this;
    }


    /**
     * 设置 乡镇街道名称
     * @param townshipName
     */
    public SheetMatterQuery townshipName(String townshipName){
        setTownshipName(townshipName);
        return this;
    }

    /**
     * 设置 乡镇街道名称
     * @param townshipNameList
     */
    public SheetMatterQuery townshipNameList(List<String> townshipNameList){
        this.townshipNameList = townshipNameList;
        return this;
    }


    /**
     * 设置 乡镇街道代码
     * @param townshipCode
     */
    public SheetMatterQuery townshipCode(String townshipCode){
        setTownshipCode(townshipCode);
        return this;
    }

    /**
     * 设置 乡镇街道代码
     * @param townshipCodeList
     */
    public SheetMatterQuery townshipCodeList(List<String> townshipCodeList){
        this.townshipCodeList = townshipCodeList;
        return this;
    }


    /**
     * 设置 村居社区名称
     * @param villageName
     */
    public SheetMatterQuery villageName(String villageName){
        setVillageName(villageName);
        return this;
    }

    /**
     * 设置 村居社区名称
     * @param villageNameList
     */
    public SheetMatterQuery villageNameList(List<String> villageNameList){
        this.villageNameList = villageNameList;
        return this;
    }


    /**
     * 设置 村居社区代码
     * @param villageCode
     */
    public SheetMatterQuery villageCode(String villageCode){
        setVillageCode(villageCode);
        return this;
    }

    /**
     * 设置 村居社区代码
     * @param villageCodeList
     */
    public SheetMatterQuery villageCodeList(List<String> villageCodeList){
        this.villageCodeList = villageCodeList;
        return this;
    }


    /**
     * 设置 办理时间
     * @param operateTime
     */
    public SheetMatterQuery operateTime(String operateTime){
        setOperateTime(operateTime);
        return this;
    }

    /**
     * 设置 办理时间
     * @param operateTimeList
     */
    public SheetMatterQuery operateTimeList(List<String> operateTimeList){
        this.operateTimeList = operateTimeList;
        return this;
    }


    /**
     * 设置 办理地点
     * @param operateSite
     */
    public SheetMatterQuery operateSite(String operateSite){
        setOperateSite(operateSite);
        return this;
    }

    /**
     * 设置 办理地点
     * @param operateSiteList
     */
    public SheetMatterQuery operateSiteList(List<String> operateSiteList){
        this.operateSiteList = operateSiteList;
        return this;
    }


    /**
     * 设置 咨询方式
     * @param cousultingShow
     */
    public SheetMatterQuery cousultingShow(String cousultingShow){
        setCousultingShow(cousultingShow);
        return this;
    }

    /**
     * 设置 咨询方式
     * @param cousultingShowList
     */
    public SheetMatterQuery cousultingShowList(List<String> cousultingShowList){
        this.cousultingShowList = cousultingShowList;
        return this;
    }


    /**
     * 设置 咨询电话
     * @param cousultingTelephoneShow
     */
    public SheetMatterQuery cousultingTelephoneShow(String cousultingTelephoneShow){
        setCousultingTelephoneShow(cousultingTelephoneShow);
        return this;
    }

    /**
     * 设置 咨询电话
     * @param cousultingTelephoneShowList
     */
    public SheetMatterQuery cousultingTelephoneShowList(List<String> cousultingTelephoneShowList){
        this.cousultingTelephoneShowList = cousultingTelephoneShowList;
        return this;
    }


    /**
     * 设置 监督投诉方式
     * @param superviseShow
     */
    public SheetMatterQuery superviseShow(String superviseShow){
        setSuperviseShow(superviseShow);
        return this;
    }

    /**
     * 设置 监督投诉方式
     * @param superviseShowList
     */
    public SheetMatterQuery superviseShowList(List<String> superviseShowList){
        this.superviseShowList = superviseShowList;
        return this;
    }

    /**
     * 设置  排序
     * @param sort
     */
    public SheetMatterQuery sort(Integer sort){
        setSort(sort);
        return this;
    }

    /**
     * 设置 开始 排序
     * @param sortStart
     */
    public SheetMatterQuery sortStart(Integer sortStart){
        this.sortStart = sortStart;
        return this;
    }

    /**
     * 设置 结束 排序
     * @param sortEnd
     */
    public SheetMatterQuery sortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
        return this;
    }

    /**
     * 设置 增加 排序
     * @param sortIncrement
     */
    public SheetMatterQuery sortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
        return this;
    }

    /**
     * 设置 排序
     * @param sortList
     */
    public SheetMatterQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
        return this;
    }

    /**
     * 设置  事项来源(0.政务网，1.自定义)
     * @param source
     */
    public SheetMatterQuery source(Integer source){
        setSource(source);
        return this;
    }

    /**
     * 设置 开始 事项来源(0.政务网，1.自定义)
     * @param sourceStart
     */
    public SheetMatterQuery sourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
        return this;
    }

    /**
     * 设置 结束 事项来源(0.政务网，1.自定义)
     * @param sourceEnd
     */
    public SheetMatterQuery sourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
        return this;
    }

    /**
     * 设置 增加 事项来源(0.政务网，1.自定义)
     * @param sourceIncrement
     */
    public SheetMatterQuery sourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
        return this;
    }

    /**
     * 设置 事项来源(0.政务网，1.自定义)
     * @param sourceList
     */
    public SheetMatterQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public SheetMatterQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public SheetMatterQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public SheetMatterQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public SheetMatterQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public SheetMatterQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<SheetMatterQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<SheetMatterQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<SheetMatterQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<SheetMatterQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}